# classes/phing/tasks/ext/phpdoc/PhingPhpDocumentorSetup.php

## \PhingPhpDocumentorSetup
jump to top

Phing subclass of the phpDocumentor_setup class provided with PhpDocumentor to work around limitations in PhpDocumentor API.

This class is necessary because phpDocumentor_setup does not expose a complete API for setting configuration options. Because this class must directly modify some "private" GLOBAL(!) configuration variables, it is liable to break if the PhpDocumentor internal implementation changes. Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design.

Extends from
  \phpDocumentor_setup
author
  Hans Lellelid <hans@xmpl.org>@author hans
package
  phing.tasks.ext.phpdoc
version
  $Id: PhingPhpDocumentorSetup.php 1108 2011-05-23 15:01:31Z mrook $

### Methods

`__construct( $configdir = null, object $task ) :`
Constructs a new PhingPhpDocumentorSetup.
Parameters

Name | Type | Description
--- | --- | ---
$configdir |  |
$task | object | The task we're working with, so we can pass it on to the ErrorTracker

`setCustomtags( string $sCustomtags ) :`
custom tags, will be recognized and put in tags[] instead of unknowntags[]

This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly.

Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$sCustomtags | string |

`setDefaultCategoryName( string $name ) :`
Sets the default category name.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setDefaultPackageName( string $name ) :`
Sets the default package name.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setExamplesDir( string $dir ) :`
Set fullpath to directory to look in for examples.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$dir | string |

`setGenerateSourcecode( bool $b ) :`
Set whether to generate sourcecode for each file parsed.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$b | bool |

`setIgnore( string $sIgnore ) :`
Files to ignore
Parameters

Name | Type | Description
--- | --- | ---
$sIgnore | string |

`setIgnoreTags( string $tags ) :`
Set comma-separated list of tags to ignore.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$tags | string |

`setPear( bool $b ) :`
Set whether to parse dirs as PEAR repos.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$b | bool |

`setQuietMode( ) :`
Enables quiet mode.

This method exists as a hack because the API exposed for this method in PhpDocumentor doesn't work correctly.

Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

`setRicFiles( array $files ) :`
Set an array of README/INSTALL/CHANGELOG file paths.

This method exists as a hack because there is no API exposed for this in PhpDocumentor. Note that because we are setting a "private" GLOBAL(!!) config var with this value, this is subject to break if PhpDocumentor internals changes.

Parameters

Name | Type | Description
--- | --- | ---
$files | array | Absolute paths to files.

`setUndocumentedelements( bool $bEnable ) :`
Control whether or not warnings will be shown for undocumented elements.

Useful for identifying classes and methods that haven't yet been documented.

Parameters

Name | Type | Description
--- | --- | ---
$bEnable | bool |

Documentation was generated by DocBlox 0.13.1.